package de.ivu.elect.business.wahlrechtspruefung.entity;

import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.boundary.DirektkandidaturDAO;
import de.ivu.elect.business.kandidatur.boundary.KandidaturDAO;
import de.ivu.elect.business.kandidatur.boundary.ListenkandidaturDAO;
import de.ivu.elect.business.wahlvorschlag.boundary.ListeDAO;
import de.ivu.elect.business.wahlvorschlag.boundary.WahlvorschlagDAO;

public class PruefkriteriumDaoContainer {

  @Inject
  private transient WahlvorschlagDAO wahlvorschlagDAO;

  @Inject
  private transient KandidaturDAO kandidaturDAO;

  @Inject
  private transient ListeDAO listeDAO;

  @Inject
  private transient ListenkandidaturDAO listenkandidaturDAO;

  @Inject
  private transient DirektkandidaturDAO direktkandidaturDAO;

  public WahlvorschlagDAO getWahlvorschlagDAO() {
    return wahlvorschlagDAO;
  }

  public KandidaturDAO getKandidaturDAO() {
    return kandidaturDAO;
  }

  public ListeDAO getListeDAO() {
    return listeDAO;
  }

  public ListenkandidaturDAO getListenkandidaturDAO() {
    return listenkandidaturDAO;
  }

  public DirektkandidaturDAO getDirektkandidaturDAO() {
    return direktkandidaturDAO;
  }
}
